export { NgxRepositoryModule } from './ngx-repository.module';
export { ProviderActionEnum } from './shared/enums/provider-action.enum';
export { ProviderError } from './shared/exceptions/provider.error';
export { ValidatorError } from './shared/exceptions/validator.error';
export { IFactoryModel } from './shared/interfaces/factory-model';
export { IHttpClient } from './shared/interfaces/http-client';
export { IMockProviderOptions } from './shared/interfaces/mock-provider-options';
export { IModel } from './shared/interfaces/model';
export { IPaginationMeta } from './shared/interfaces/pagination-meta';
export { IProviderActionActionModel } from './shared/interfaces/provider-action-action-model';
export { IProviderActionOptions } from './shared/interfaces/provider-action-options';
export { IProviderOptions } from './shared/interfaces/provider-options';
export { IProvider } from './shared/interfaces/provider';
export { IRestOptions } from './shared/interfaces/rest-options';
export { IRestProviderActionHandlers } from './shared/interfaces/rest-provider-action-handlers';
export { IRestProviderActionOptions } from './shared/interfaces/rest-provider-action-options';
export { IRestProviderOptions } from './shared/interfaces/rest-provider-options';
export { Model } from './shared/models/model';
export { PaginationMeta } from './shared/models/pagination-meta';
export { MockProviderActionHandlers } from './shared/providers/mock-provider-action-handlers';
export { MockProvider } from './shared/providers/mock.provider';
export { Provider } from './shared/providers/provider';
export { RestProviderActionHandlers } from './shared/providers/rest-provider-action-handlers';
export { RestProvider } from './shared/providers/rest.provider';
export { DynamicRepository } from './shared/services/dynamic.repository';
export { Repository } from './shared/services/repository';
export { FakeHttpClient } from './shared/utils/fake-http-client';
export { IFakeHttpClientOptions } from './shared/utils/fake-http-client';
export declare const NgxRepositoryModules: any[];
export declare const NgxRepositoryShareds: any[];
